Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.expr.sort
Interface NodeOrderComparer

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  GlobalOrderComparer, LocalOrderComparer

    public interface NodeOrderComparer

extends Serializable

A Comparer used for comparing nodes in document order

Author:
  Michael H. Kay

Method Summary
`int` | `compare(NodeInfo a, NodeInfo b)` Compare two objects.

Method Detail

### compare

    int compare(NodeInfo a,
                NodeInfo b)

  Compare two objects.

  Returns:
    <0 if a0 if a>b

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.